<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'vidgyor',

    /*
     * Package.
     */
    'package'   => 'video',

    /*
     * Modules.
     */
    'modules'   => ['video'],

    
    'video'       => [
        'model' => [
            'model'                 => \Vidgyor\Video\Models\Video::class,
            'table'                 => 'videos',
            'presenter'             => \Vidgyor\Video\Repositories\Presenter\VideoPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'category_id',  'user_id',  'channel_id',  'reference_id',  'name',  'type',  'duration',  'dimension',  'tags',  'plays',  'files',  'thumbnail',  'transcoding_profile',  'distribution_profile',  'uploads',  'meta_title',  'meta_description',  'meta_tags',  'size',  'status',  'slug',  'published_at',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'video/video',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Vidgyor',
            'package'   => 'Video',
            'module'    => 'Video',
        ],

    ],
];
