<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateVideosTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: videos
         */
        Schema::create('videos', function ($table) {
            $table->increments('id');
            $table->integer('category_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('channel_id')->nullable();
            $table->integer('reference_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->enum('type', ['live'])->nullable();
            $table->time('duration')->nullable();
            $table->string('dimension', 255)->nullable();
            $table->text('tags')->nullable();
            $table->enum('plays', ['High','Medium','Low'])->nullable();
            $table->text('files')->nullable();
            $table->text('thumbnail')->nullable();
            $table->string('transcoding_profile', 255)->nullable();
            $table->string('distribution_profile', 255)->nullable();
            $table->text('uploads')->nullable();
            $table->string('meta_title', 255)->nullable();
            $table->string('meta_description', 255)->nullable();
            $table->string('meta_tags', 255)->nullable();
            $table->integer('size')->nullable();
            $table->enum('status', ['Ready','Processing'])->nullable();
            $table->string('slug', 255)->nullable();
            $table->timestamp('published_at')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('videos');
    }
}
