<?php

namespace Vidgyor\Video\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VideoTransformer extends TransformerAbstract
{
    public function transform(\Vidgyor\Video\Models\Video $video)
    {
        return [
            'id'                => $video->getRouteKey(),
            'key'               => [
                'public'    => $video->getPublicKey(),
                'route'     => $video->getRouteKey(),
            ], 
            'id'                => $video->id,
            'category_id'       => $video->category_id,
            'user_id'           => $video->user_id,
            'channel_id'        => $video->channel_id,
            'reference_id'      => $video->reference_id,
            'name'              => $video->name,
            'type'              => $video->type,
            'duration'          => $video->duration,
            'dimension'         => $video->dimension,
            'tags'              => $video->tags,
            'plays'             => $video->plays,
            'files'             => $video->files,
            'thumbnail'         => $video->thumbnail,
            'transcoding_profile' => $video->transcoding_profile,
            'distribution_profile' => $video->distribution_profile,
            'uploads'           => $video->uploads,
            'meta_title'        => $video->meta_title,
            'meta_description'  => $video->meta_description,
            'meta_tags'         => $video->meta_tags,
            'size'              => $video->size,
            'status'            => $video->status,
            'slug'              => $video->slug,
            'published_at'      => $video->published_at,
            'created_at'        => $video->created_at,
            'deleted_at'        => $video->deleted_at,
            'updated_at'        => $video->updated_at,
            'url'               => [
                'public'    => trans_url('video/'.$video->getPublicKey()),
                'user'      => guard_url('video/video/'.$video->getRouteKey()),
            ], 
            'status'            => trans('app.'.$video->status),
            'created_at'        => format_date($video->created_at),
            'updated_at'        => format_date($video->updated_at),
        ];
    }
}